Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Stage Reviews

List
GET /serviceformModules/{moduleId}/forms/{formId}/stagereviews
https://api.uat.relesystest.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stagereviews
Get a list of stage reviews for the form with ID formId

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"64bdeeaf-70bb-4163-9e0f-f1fb2bc0b79e","url":null,"stageId":"116bc34e-3fed-4be0-a6b0-b36961d506ea","stageUrl":null,"fillingId":"449e9121-93ea-4aed-911e-da87a06c9bc1","fillingUrl":null,"userId":"5566206c-366d-4398-aec5-fade61443f28","userUrl":null,"status":"Approved","reviewDateTime":"2026-06-21T17:47:47.9484779+00:00","creationDateTime":"2026-06-21T17:47:47.9484779+00:00","lastModifiedDateTime":"2026-06-23T17:47:47.9484779+00:00"},{"id":"5ce64a2d-18cc-4cc8-858f-3af7f16c7946","url":null,"stageId":"de9ab3ba-3363-4b5c-9c1d-1fddaa4646ea","stageUrl":null,"fillingId":"691ecb49-c833-447e-9efc-69d74975d728","fillingUrl":null,"userId":null,"userUrl":null,"status":"Pending","reviewDateTime":null,"creationDateTime":"2026-06-21T17:47:47.9484779+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   stageUrl string      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string